## org.eclipse.emf.cdo.common
Enum CDOCommonView.Type

    java.lang.Object
      java.lang.Enum<CDOCommonView.Type>
          org.eclipse.emf.cdo.common.CDOCommonView.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOCommonView.Type>

Enclosing interface:
  CDOCommonView

    public static enum CDOCommonView.Type

extends java.lang.Enum<CDOCommonView.Type>

Enum Constant Summary
`AUDIT`
`READONLY`
`TRANSACTION`

Method Summary
`static CDOCommonView.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOCommonView.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSACTION

    public static final CDOCommonView.Type TRANSACTION

### READONLY

    public static final CDOCommonView.Type READONLY

### AUDIT

    public static final CDOCommonView.Type AUDIT

Method Detail

### values

    public static final CDOCommonView.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOCommonView.Type c : CDOCommonView.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOCommonView.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.